Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 2.5.8 generated on January 11 2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.solarmetric.kodo.util
Class ProxyEntrySet

    java.lang.Object
      |
      +--java.util.AbstractCollection
            |
            +--java.util.AbstractSet
                  |
                  +--com.solarmetric.kodo.util.ProxyEntrySet

All Implemented Interfaces:
  Collection, Serializable, Set

public class ProxyEntrySet
extends AbstractSet
implements Serializable

Map entry set that dirties the persistent/transactional field that owns the backing map on modification. The need to dirty the field on any modification mandates that this class must override all mutator methods of the base type. This may lead to multiple calls to the `PersistenceCapable.jdoMakeDirty(java.lang.String)` for one state change if one mutator method of the base type calls another.

See Also:
  Serialized Form

Constructor Summary
`ProxyEntrySet(Set set, Object pc, String fieldName, Class keyType, Class valueType, ChangeManager cm)`

Method Summary
`boolean` | `add(Object o)`
`Iterator` | `iterator()`
`int` | `size()`
`protected Object` | `writeReplace()`

Methods inherited from class java.util.AbstractSet
`equals, hashCode, removeAll`

Methods inherited from class java.util.AbstractCollection
`addAll, clear, contains, containsAll, isEmpty, remove, retainAll, toArray, toArray, toString`

Methods inherited from class java.lang.Object
`, clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.util.Set
`addAll, clear, contains, containsAll, isEmpty, remove, retainAll, toArray, toArray`

Constructor Detail

### ProxyEntrySet

    public ProxyEntrySet(Set set,
                         Object pc,
                         String fieldName,
                         Class keyType,
                         Class valueType,
                         ChangeManager cm)

Method Detail

### size

    public int size()

  Overrides:
    `size` in class `AbstractCollection`

### add

    public boolean add(Object o)

  Overrides:
    `add` in class `AbstractCollection`

### iterator

    public Iterator iterator()

  Overrides:
    `iterator` in class `AbstractCollection`

### writeReplace

    protected Object writeReplace()
                           throws ObjectStreamException

Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 2.5.8 generated on January 11 2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2001,2002,2003 SolarMetric, Inc. All Rights Reserved.